summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2024-05-02 01:24:02 +0100
committerSam James <sam@gentoo.org>2024-05-02 01:24:02 +0100
commitdcea0f85eec14d826f5704e25f757d05fe420668 (patch)
treeb60d63ef14a576e86ff8b6956c86273ed6b06582 /eclass/toolchain.eclass
parentsys-libs/glibc: drop 2.38-r11, 2.39-r3 (diff)
downloadgentoo-dcea0f85eec14d826f5704e25f757d05fe420668.tar.gz
gentoo-dcea0f85eec14d826f5704e25f757d05fe420668.tar.bz2
gentoo-dcea0f85eec14d826f5704e25f757d05fe420668.zip
toolchain.eclass: fix validate_failures.py cp for non-gcc
Thanks to matoro for reporting. Fixes: 5e9a0a17e43d3f5d7d7c1e3a8a7e58f8d26861cf Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 12d31d20d914..25dedd4e5262 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -633,7 +633,7 @@ toolchain_src_prepare() {
fi
if use test ; then
- cp "${DISTDIR}"/${PN}-validate-failures-${GCC_VALIDATE_FAILURES_VERSION}.py "${T}"/validate_failures.py || die
+ cp "${DISTDIR}"/gcc-validate-failures-${GCC_VALIDATE_FAILURES_VERSION}.py "${T}"/validate_failures.py || die
chmod +x "${T}"/validate_failures.py || die
fi